Subject: bug#70275: Epiphany requires /run/current-system/profile/sbin/dbus-launch

From: Ludovic Courtès <[email-masked]>
Date: Mon, 08 Apr 2024 14:47:44 +0200

Since the GNOME 44 upgrade, Epiphany no longer works for me (I’m using
EXWM, not GNOME):

--8<---------------cut here---------------start------------->8---
$ guix describe
Generation 299  Apr 08 2024 00:55:02    (current)
  shepherd d8d96fc
    repository URL: https://git.savannah.gnu.org/git/shepherd.git
    branch: devel
    commit: d8d96fc28c49c624323b2f9f5cb01c4fc18a4afd
  guile db7efa5
    repository URL: https://git.savannah.gnu.org/git/guile.git
    branch: main
    commit: db7efa5d204b2e46ce9eb82f417d8c12d394858d
  guix 49f82fc
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 49f82fca4130ffcfb16aa0cf89750ab56fb99ad7
$ guix shell epiphany -- epiphany
[…]
(epiphany:9264): epiphany-WARNING **: 14:39:27.754: Web process crashed

(process:2): libportal-CRITICAL **: 14:39:27.997: Failed to create XdpPortal instance: Failed to execute child process “dbus-launch” (No such file or directory)

(epiphany:9264): epiphany-WARNING **: 14:39:28.001: Web process crashed

(process:2): libportal-CRITICAL **: 14:39:28.625: Failed to create XdpPortal instance: Failed to execute child process “dbus-launch” (No such file or directory)
^C
$ type -P dbus-launch
/home/ludo/.guix-home/profile/bin/dbus-launch
--8<---------------cut here---------------end--------------->8---

Stracing shows this:

  10989 execve("/run/current-system/profile/sbin/dbus-launch", ["dbus-launch", "--autolaunch=a6bada0da851047b698"..., "--binary-syntax", "--close-stderr"], 0x5d7120 /* 81 vars */ <unfinished ...>

Since I no longer have GDM either,
/run/current-system/profile/sbin/dbus-launch is gone, too (that’s
probably the main reason).

I’m not sure where this hard-coded /run/current-system/… comes from.
Should we do something about it?

Ludo’.